Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# glyph.hh File Reference

A PangoGlyphString C++ wrapper interface. More...

`#include <xfc/glib/boxed.hh>`
`#include <xfc/pango/types.hh>`
`#include <pango/pango-glyph.h>`
`#include <vector>`
`#include <xfc/pango/inline/glyph.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Pango

## Classes

- class Xfc::Pango::GlyphGeometry
    A PangoGlyphGeometry C++ wrapper class. More...
- class Xfc::Pango::GlyphVisAttr
    A PangoGlyphVisAttr C++ wrapper class. More...
- class Xfc::Pango::GlyphInfo
    A PangoGlyphInfo C++ wrapper class. More...
- class Xfc::Pango::GlyphString
    A PangoGlyphString C++ wrapper class. More...

## Typedefs

- typedef PangoGlyphUnit GlyphUnit
    GlyphUnit is a convenient typedef for PangoGlyphUnit.

## Detailed Description

A PangoGlyphString C++ wrapper interface.

Provides GlyphString, an objects for storing information about glyphs.

## Typedef Documentation

typedef PangoGlyphUnit Xfc::Pango::GlyphUnit

GlyphUnit is a convenient typedef for PangoGlyphUnit.

The GlyphUnit type is used to store dimensions within Pango. Dimensions are stored in 1/PANGO_SCALE of a device unit. (A device unit might be a pixel for screen display, or a point on a printer.) PANGO_SCALE is currently 1024, and is unlikely to change, but you should not depend on its exact value. The PANGO_PIXELS() macro can be used to convert from glyph units into device units with correct rounding.

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3